vmware-server package has broken pam settings that won't let you log in

Bug #115295 reported by Rob Caskey on 2007-05-17
8
Affects Status Importance Assigned to Milestone
app-install-data-commercial (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: app-install-data-commercial

I installed vmware from the packages in commercial but it doesn't let you log in.

It gives the error:

May 17 14:54:46 mary vmware-authd[20772]: PAM adding faulty module: /usr/lib/vmware-server/lib/libpam.so.0/security/pam_unix2.so
May 17 14:54:46 mary vmware-authd[20772]: PAM unable to dlopen(/usr/lib/vmware-server/lib/libpam.so.0/security/pam_unix_auth.so)
May 17 14:54:46 mary vmware-authd[20772]: PAM [dlerror: /usr/lib/vmware-server/lib/libpam.so.0/security/pam_unix_auth.so: symbol pam_syslog, version LIBPAM_EXTENSION_1.0 not defined in file libpam.so.0 with link time reference]
May 17 14:54:46 mary vmware-authd[20772]: PAM adding faulty module: /usr/lib/vmware-server/lib/libpam.so.0/security/pam_unix_auth.so
May 17 14:54:46 mary vmware-authd[20772]: PAM unable to dlopen(/usr/lib/vmware-server/lib/libpam.so.0/security/pam_unix_acct.so)
May 17 14:54:46 mary vmware-authd[20772]: PAM [dlerror: /usr/lib/vmware-server/lib/libpam.so.0/security/pam_unix_acct.so: symbol pam_syslog, version LIBPAM_EXTENSION_1.0 not defined in file libpam.so.0 with link time reference]
May 17 14:54:46 mary vmware-authd[20772]: PAM adding faulty module: /usr/lib/vmware-server/lib/libpam.so.0/security/pam_unix_acct.so

workaround for 32 bit hosts posted at http://ubuntuforums.org/showthread.php?t=426026

change /etc/pam.d/vmware-auth to read as follows:

#%PAM-1.0
auth required pam_unix_auth.so shadow nullok
account required pam_unix_acct.so

the url originally containing the workaround contains other valuable suggestions for improvements to this package RE: dependencies

I installed vmware-server from canonical commercial repository today and I have had no problem, does this still happen for you?

edgyonr100 (apermyakov) wrote :

Confirmed 8/1/07 on a fresh install on Feisty (7.04) server. VMWare Server 1.0.3 will not allow a remote login until the change to vmware-auth above is implemented.

Roy Lee (yoryor) wrote :

64-bit users, please refer to a duplicate bug.
https://bugs.launchpad.net/ubuntu/+bug/112937

Verified that the same happens to the vmware-server 1.0.4 package in gutsy partner repository, and the fix provided by Walter in the other bug report does the trick.

Shimi Chen (shimi-chen) wrote :

We are sorry that we do not always have the capacity to look at all reported bugs in a timely manner. vmware-server is no longer provided in the partner repository and so is no longer supported.

Changed in app-install-data-commercial (Ubuntu):
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers